import React from "react";
/**
 <ObserveState
 listenTo={anobject}
 control={() => {
        return (

        );
    }}
 />


 **/
export declare class ObserveState extends React.Component<{
    listenTo: object | null | undefined;
    control: () => JSX.Element | React.ReactNode;
    properties?: string[];
    onWillUnmount?: () => void;
}> {
    render(): React.ReactNode | JSX.Element;
    componentDidMount(): void;
    componentDidUpdate(prevProps: {
        listenTo: object | null | undefined;
        control: () => JSX.Element | React.ReactNode;
        properties?: string[];
        onWillUnmount?: () => void;
    }): void;
    componentWillUnmount(): void;
    update(): void;
}
